#ifndef __APPEARANCE_H__
#define __APPEARANCE_H__

#include "appearancebase.h"
#include <qfont.h>

class MusE;
class Arranger;
class QColor;

//---------------------------------------------------------
//   Appearance Dialog
//---------------------------------------------------------

class Appearance : public AppearanceDialogBase {
      Arranger* arr;
      QString currentBg;
      QColor color[16];
      QFont lfont[6];

      Q_OBJECT
      void updateFonts();

   private slots:
      void apply();
      void ok();
      void cancel();
      void configBackground();
      void configColor();
      void colorItemSelectionChanged();
      void browseFont(int);
      void browseFont0();
      void browseFont1();
      void browseFont2();
      void browseFont3();
      void browseFont4();
      void browseFont5();

   public:
      Appearance(Arranger*, QWidget* parent=0, const char* name=0);
      };

#endif
